mscorlib 4.0.0.0 System.Object System.IDisposable System.Diagnostics.DebuggerDisplay("Set = {IsSet}")

You can use this class for better performance than when wait times are expected to be very short, and when the event does not cross a process boundary. uses busy spinning for a short time while it waits for the event to become signaled. When wait times are short, spinning can be much less expensive than waiting by using wait handles. However, if the event does not become signaled within a certain period of time, resorts to a regular event handle wait.

Provides a slimmed down version of .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with an initial state of nonsignaled.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a Boolean value indicating whether to set the intial state to signaled.

  true to set the initial state signaled; false to set the initial state to nonsignaled.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with a Boolean value indicating whether to set the intial state to signaled and a specified spin count.

  true to set the initial state to signaled; false to set the initial state to nonsignaled.
  The number of spin waits that will occur before falling back to a kernel-based wait operation.
- Method
  4.0.0.0
  System.Void

  Call Dispose when you are finished using the . The Dispose method leaves the in an unusable state. After calling Dispose, you must release all references to the so the garbage collector can reclaim the memory that the was occupying.

  For more information, see Cleaning Up Unmanaged Resources and Implementing a Dispose Method.

  Always call Dispose before you release your last reference to the . Otherwise, the resources it is using will not be freed until the garbage collector calls the object's Finalize method.

  Releases all resources used by the current instance of the class.

- Method
  4.0.0.0
  System.Void ``

  Unlike most of the members of , is not thread-safe and may not be used concurrently with other members of this instance.

  Releases the unmanaged resources used by the , and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Property
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets whether the event is set.

- Method
  4.0.0.0
  System.Void

  can be called concurrently with all members except .

  Sets the state of the event to nonsignaled, which causes threads to block.

- Method
  4.0.0.0
  System.Void To be added.

  Sets the state of the event to signaled, which allows one or more threads waiting on the event to proceed.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of spin waits that will be occur before falling back to a kernel-based wait operation.

- Method
  4.0.0.0
  System.Void

  The caller of this method blocks indefinitely until the current instance is set. The caller will return immediately if the event is currently in a set state.

  Blocks the current thread until the current is set.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Blocks the current thread until the current is set, using a 32-bit signed integer to measure the time interval.

  true if the was set; otherwise, false.

  The number of milliseconds to wait, or (-1) to wait indefinitely.
- Method
  4.0.0.0
  System.Void ``

  The caller of this method blocks indefinitely until the current instance is set. The caller will return immediately if the event is currently in a set state.

  Blocks the current thread until the current receives a signal, while observing a .

  The to observe.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  Blocks the current thread until the current is set, using a to measure the time interval.

  true if the was set; otherwise, false.

  A that represents the number of milliseconds to wait, or a that represents -1 milliseconds to wait indefinitely.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Blocks the current thread until the current is set, using a 32-bit signed integer to measure the time interval, while observing a .

  true if the was set; otherwise, false.

  The number of milliseconds to wait, or (-1) to wait indefinitely. The to observe.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Blocks the current thread until the current is set, using a to measure the time interval, while observing a .

  true if the was set; otherwise, false.

  A that represents the number of milliseconds to wait, or a that represents -1 milliseconds to wait indefinitely. The to observe.
- Property
  4.0.0.0
  System.Threading.WaitHandle To be added.

  Accessing this property forces initialization of an underlying event object if one hasn't already been created. To simply wait on this , the public Wait methods should be preferred. It is recommended to dispose the instance after accessing this property, in order to prevent a resource leak.

  Gets the underlying object for this .